Skip to content
V2 (Legacy) API ReferenceGet started

Contact Card

Contact Card lets you set and share your contact information (name and profile photo) with chat participants via iMessage Name and Photo Sharing.

Use POST /v3/contact_card to create or update a card for a phone number. Use PATCH /v3/contact_card to update an existing active card. Use GET /v3/contact_card to retrieve the active card(s) for your partner account.

Sharing behavior: Sharing may not take effect in every chat due to limitations outside our control. We recommend calling the share endpoint once per day, after the first outbound activity.

Get contact cards
contact_card.retrieve(ContactCardRetrieveParams**kwargs) -> ContactCardRetrieveResponse
GET/v3/contact_card
Setup contact card
contact_card.create(ContactCardCreateParams**kwargs) -> SetContactCard
POST/v3/contact_card
Update contact card
contact_card.update(ContactCardUpdateParams**kwargs) -> SetContactCard
PATCH/v3/contact_card
ModelsExpand Collapse
class SetContactCard:
first_name: str

First name on the contact card

is_active: bool

Whether the contact card was successfully applied to the device

phone_number: str

The phone number the contact card is associated with

image_url: Optional[str]

Image URL on the contact card

last_name: Optional[str]

Last name on the contact card

class ContactCardRetrieveResponse:
contact_cards: List[ContactCard]
first_name: str
is_active: bool
phone_number: str
image_url: Optional[str]
last_name: Optional[str]